% Anhang MATLAB
% Lsung einer quadratischen Gleichung
syms a b c eqn x Lv;
clc
disp('Lsung einer quadratischen Gleichung: a*x^2 + b*x + c = 0');
disp(' ');
a = input('a = ');
if a==0 disp('Wert ist nicht sinnvoll: keine quadratische Gleichung'), else
    b = input('b = ');
    c = input('c = ');
    disp(' ');
    eqn=a*x^2+b*x+c==0;
    Lv = solve(eqn,x);
    x1=subs(Lv(1)); % in der symbolischen Lsung von solve mssen die Werte
    x2=subs(Lv(2)); % der Variablen substituiert werden
    x1=double(x1);
    x2=double(x2);
    if imag(x1)==0 
        disp(['x1 = ',sprintf(' %2.4e ',x1)]);
        disp(['x2 = ',sprintf(' %2.4e ',x2)]), else
        xr=real(x1);
        xi=abs(imag(x1));
        disp(['konjugiert komplexe Lsung: ',sprintf(' %2.4e ',xr),' +/- j ',sprintf(' %2.4e ',xi)]);
    end
end