% Fhrer/Heidemann/Nerreter Band 1, Aufgabe 7.24
clc
disp('Fhrer/Heidemann/Nerreter');
disp('Grundgebiete der Elektrotechnik, Band 1');
disp('Lsung der Aufgabe 7.24');
disp(' ');
my0=4.0e-7*pi;
AL=pi*0.016*0.008;
lL=1.0e-3;
s=0.6;
BL=1.2;
HL=BL/my0;
Bopt=0.5; % SmCo5
Hopt=300e3;
BD=Bopt;
HD=-Hopt;
AD=BL*AL/(s*BD);
lD=-BL^2*AL*lL/(s*my0*BD*HD*AD);
Di=0.03;
D=sqrt(4*AD/pi + Di^2);
disp('SmCo5');
disp(['D =',sprintf(' %4.5f ',1000*D),'mm']);
disp(['lD =',sprintf(' %4.5f ',1000*lD),'mm']);
disp(' ');
Bopt=1.0; % Nd2Fe14B
Hopt=400e3;
BD=Bopt;
HD=-Hopt;
AD=BL*AL/(s*BD);
lD=-BL^2*AL*lL/(s*my0*BD*HD*AD);
Di=0.03;
D=sqrt(4*AD/pi + Di^2);
disp('Nd2Fe14B');
disp(['D =',sprintf(' %4.5f ',1000*D),'mm']);
disp(['lD =',sprintf(' %4.5f ',1000*lD),'mm']);